Bug 1124407 - Adding a cluster partially collapses the tree
Summary: Adding a cluster partially collapses the tree
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Pavel Stehlik
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 12:43 UTC by Allon Mureinik
Modified: 2016-02-10 19:45 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:36:37 UTC
oVirt Team: UX


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32095 master MERGED webadmin: refresh system tree when removing last leaf Never
oVirt gerrit 32165 None None None Never

Description Allon Mureinik 2014-07-29 12:43:51 UTC
Description of problem:
According to the RFE in bug 987953 (OVIRT35 - [RFE] [oVirt] [webadmin] Tree doesn't refresh), adding a new entity should refresh the tree.
When adding a new cluster, the "clusters" node is collapsed instead of being refreshed.

Version-Release number of selected component (if applicable):
[ovirt@localhost ~]$ rpm -qa | grep ovirt-engine
ovirt-engine-lib-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-setup-plugin-ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-setup-plugin-websocket-proxy-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-jboss-as-7.1.1-1.el6.x86_64
ovirt-engine-tools-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-websocket-proxy-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-extensions-api-impl-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-restapi-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-backend-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-setup-base-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-userportal-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-cli-3.5.0.2-1.el6.noarch
ovirt-engine-webadmin-portal-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-sdk-python-3.5.0.3-1.el6.noarch
ovirt-engine-dbscripts-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch
ovirt-engine-setup-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create a new DC.
2. Create the first cluster in it - the tree "refreshes" and changes the "clusters" node in this DC from empty to a collapsed element with data (BTW - not sure this is the correct behavior according to the RFE).
3. Expand the "clusters" node.
4. Create the first cluster in the DC - the "clusters" element collapses. If you open it manually, both clusters are visible.

Actual results:


Expected results:


Additional info:

Comment 1 Allon Mureinik 2014-07-29 12:46:11 UTC
Premature submission, sorry.
Adding the missing info:

Actual Results:
- When adding the first cluster, the element "refreshes" from an empty element to a collapsed element.
- When adding the second cluster, the element collapses.

Expected Results:
- IIUC, when adding the first cluster, the element should refresh and display the cluster.
- When adding the second cluster, if the element is not collapsed, it should refresh and display the second cluster.

Comment 2 Alexander Wels 2014-08-27 18:38:56 UTC
Fix for bz1127600 also fixes this problem.

Comment 3 Einav Cohen 2014-09-11 14:38:43 UTC
Alexander: ovirt-engine-3.5 backport (32165) was already merged -> need to add 32165 to the External Trackers field and move BZ to MODIFIED?

Comment 4 Sandro Bonazzola 2014-10-17 12:36:37 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.